:root {
    --oscuro:#212121;
    --primary: #FFC107;
    --secondary: #0097A7;
    --grey: #757575;
    
    --maxWindows: 1200px;
}
html{
    box-sizing: border-box;
    min-height: 100%;
    font-size: 62.5%
}
*,*:before, *:after{
    box-sizing: inherit;
}
body {
    font-family: 'krub' , sans-serif;               /*Estilos generales*/
    min-height: 100%;
    background-image: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
    font-size: 1.6rem;
}
nav {
    
    max-width: 1200px;                  /*Estilos para la navegacion*/
    margin: 0 auto;
    padding: 2rem 0;                               

    display: flex;
    flex-direction: column;
    align-items: center;
}
.site-header {
    background-color: white; 
}
@media (min-width:768px) {
    nav {
        flex-direction: row;                            /*Adaptacion para pcs*/
        justify-content: space-between;
    }
}
nav a {
    color: var(--oscuro);                       /*estilos de los elementos de navegacion*/
    font-size: 2.2rem;
    text-decoration: none;                      
    margin-bottom: 2rem;

}
nav a:hover{
    color: var(--primary); 
}
nav a:last-of-type {                /*margen de abajo para el ultimo elemento de la navegacion*/
    margin-bottom: 0;
}

.wrap{
    height: 45rem;
    background-image: url(../img/hero.jpg);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;    
}
.wrap::after{
    content: '';
    background-color: rgba(0, 0, 0, .5);
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
.wrap-container{
    color: white;
    position: relative;
    z-index: 1;
    text-align: center;
}
h1,h2,h3{
    margin: 0;
}
h2, h3{
    text-align: center;
}
h3{
    color: var(--secondary);
    font-weight: 400;
    font-size: 3rem;
}
p{
    font-size: 1.8rem;
    line-height: 1.5;
}
.wrap-container i {
    font-size: 2rem;
    color: var(--primary);
}
.button{
    background-color: var(--secondary);
    padding: 1rem 4rem;
    display: inline-block;
    text-decoration: none;
    margin-top: 1rem;
    color: white;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 2.2rem;
    border-radius: .5rem;
    border: none;
}
.button:hover{
    cursor: pointer;
    background-color: var(--primary);
    -webkit-box-shadow: 0px 15px 56px -4px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 15px 56px -4px rgba(0,0,0,0.5);
    box-shadow: 0px 15px 56px -4px rgba(0,0,0,0.5);
}
.container {
    max-width: var(--maxWindows);
    margin: 2rem auto;
    background-color: white;
    padding: 3rem;
    border-radius: 1rem;
    -webkit-box-shadow: 0px 4px 5px -1px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 4px 5px -1px rgba(0,0,0,0.5);
    box-shadow: 0px 4px 5px -1px rgba(0,0,0,0.5);
}
.services {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.icons{
    background-color: var(--primary);  
    width: 10rem;
    height: 10rem;
    border-radius: 50%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    font-size: 3rem;
    margin-top: 2rem;

}
.icons:hover{
    cursor: pointer;
    -webkit-box-shadow: 0px 5px 29px 3px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 5px 29px 3px rgba(0,0,0,0.5);
    box-shadow: 0px 5px 29px 3px rgba(0,0,0,0.5);
}
.services-container{
    margin-top: 2rem;
}
.contact{
    margin-top: 2rem;
}
form{
    background-color: var(--grey);
    padding: 2rem;
    border-radius: 1rem;
    margin-top: 2rem;
}
form legend{
    display: flex;
    justify-content: center;
    font-size: 2rem;
    color: var(--primary);
    margin: 2rem 0;
}
.field{
    display: flex;
    margin-bottom: 2rem;
}
.field label{
    flex: 0 0 90px;
    margin-top: .5rem;
    color: white;
}
.field input{
    flex: 1;
    height: 4rem;
}
.field textarea{
    flex:1;
    height: 6rem;
}
.send{
    display:flex;
    justify-content: flex-end;
}

/* Responsive */
@media (min-width:768px){
    nav a {
        margin-bottom: 0;       /*sacamos el margen de abajo para las pantallas de pc*/
    }
    .services-container{
        display:flex;
        justify-content: space-between;
    }
    .services{
        flex: 0 0 calc(33.3% - 1rem);
    }
    form{
        max-width: 800px;
        margin: 2rem auto;
    }
    .container-fields{
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .field{
        flex: 0 0 calc(50% - 1rem);
    }
}
.w-100{
    flex: 0 0 100%;
}

